Loja
Consultar loja
Devolve o cadastro da loja representada pelo token.
GET
/manager/store/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.smarttef.mobi/manager/store/get"{
"store_id": 1,
"cnpj": "99999999999999",
"cnpj_integrador": "12612554000131",
"webhook": {
"url": "https://erp.exemplo.com.br/smarttef/callback",
"authorization_token": "Bearer chave-do-erp"
},
"active": true,
"create_at": "2026-01-10T09:00:00.000Z",
"update_at": "2026-02-09T12:00:00.000Z",
"token": "ATV-3f9c1a",
"name": "Loja Exemplo Comércio LTDA",
"trademark": "Loja Exemplo",
"contact_tel": "4832000000",
"city_id": 4205407,
"state_id": 24,
"zip_code": "88010000",
"disctrict": "Centro",
"address": "Rua Exemplo, 100",
"integrator_id": 3
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/get"
}
}{
"status": 404,
"data": {
"message": "Store not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/get"
}
}